API ReferenceapianalyticsGET /v1/features/{userId}

GET /v1/features/\{userId\}

Service: analytics · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • userId (string) required

Query parameters

  • names (string) required
  • brand_id (string) —

Responses

200 Requested feature values

{
  "type": "object",
  "properties": {
    "features": {
      "type": "object",
      "additionalProperties": {
        "type": "object",
        "properties": {
          "value": {},
          "computed_at": {
            "type": "string",
            "format": "date-time"
          },
          "expires_at": {
            "type": "string",
            "format": "date-time"
          }
        },
        "required": [
          "computed_at",
          "expires_at"
        ]
      }
    }
  },
  "required": [
    "features"
  ]
}

400 Invalid request

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

403 Forbidden

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://analytics.platform.loop.health/v1/features/{userId} \
  -H "Authorization: Bearer $ACCESS_TOKEN"